#if !defined _intvector_h_
#define _intvector_h_

#include "vector.h"

class IntVector : public Vector
{
protected:
	void copy(const IntVector&other);
	void free();
public:
	IntVector(){}
	IntVector(const IntVector&other){copy(other);}	
	~IntVector(){free();}
	IntVector&operator=(const IntVector&other)
	{
		if(&other!=this){
			free();
			copy(other);
		}
		return *this;
	}
};

#endif