#include "intvector.h"
#include "int.h"

void IntVector::copy(const IntVector&other)
{
	start=end=0;capacity=0;
	if(other.getSize()){
		start = new Object*[other.capacity];
		capacity=other.capacity;
		for(int i=0;i<other.getSize();i++){
			start[i]=new Int(*(Int*)other.get(i));
		}
		end= start+other.getSize();
	}
}

void IntVector::free()
{
	if(start){
		for(int i=0;start+i<end;i++)delete start[i];
		delete start;
	}
	start=end=0;capacity=0;
}
