#if !defined _vector_h_
#define _vector_h_

#include "object.h"

class Vector : public Object
{
protected:
	Object**start;
	Object**end;
	int capacity;
public:	
	Vector(){start=end=0;capacity=0;}
	virtual ~Vector(){if(start)delete start;}
	int getSize()const{return end-start;}
	int getCapacity()const{return capacity;}
	
	bool reserve(int newCapacity);
	bool pushBack(Object*object);
	Object*get(int index)const
	{
		if(index<0 || index>=(end-start))return 0;
		return start[index];
	}
	friend class Iterator;
};

#endif